GNU bug report logs - #55326
libgit2 1.3.0 includes a time-dependent test

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Severity: important; Reported by: Ludovic Courtès <ludo@HIDDEN>; Done: Ludovic Courtès <ludo@HIDDEN>; Maintainer for guix is bug-guix@HIDDEN.

Message received at 55326-done <at> debbugs.gnu.org:


Received: (at 55326-done) by debbugs.gnu.org; 10 May 2022 15:50:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 10 11:50:58 2022
Received: from localhost ([127.0.0.1]:34908 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1noS8Y-0006kX-Gj
	for submit <at> debbugs.gnu.org; Tue, 10 May 2022 11:50:58 -0400
Received: from eggs.gnu.org ([209.51.188.92]:52972)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1noS8W-0006kJ-FN
 for 55326-done <at> debbugs.gnu.org; Tue, 10 May 2022 11:50:57 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:47266)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1noS8N-00027J-FR; Tue, 10 May 2022 11:50:50 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=1PAWRp3XcGrQpQ2z3N/mgrMGwozm3ANeCTuMb8MCZ7k=; b=lzKItOZz7FT430uAD+zH
 L5wpc+JetdnD671m6zoZPCUxHYAXn9AXai2rUjmlrU9lHd9HScjqLN7fc/1HQWX7Hd/BSGa/D6TSO
 gDdA2wmwP+0TUgbXoqQ80HJv+jm7poQpBwWvH+AsU09yLnZzmcOjJ6kCY+BYL3NJq94roTWDz4aR4
 +zFggf/epF0QeWe3kWn7lZsNoBD/l+tEzNhxgGZGBnhUiLBYDz+lsN2JYQCzJhMMzLPYWS7trcIvj
 hwFKBDuclNXxHJm8bCP7sEDT5oDY4aO6koMx3hTqTgaTtvEyCW2/PvjmXE4+xXaXr40bMalTglBnb
 5kyIUGlih9ZBQg==;
Received: from [193.50.110.244] (port=52694 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1noS8N-0001I4-0E; Tue, 10 May 2022 11:50:47 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Maxime Devos <maximedevos@HIDDEN>
Subject: Re: bug#55326: libgit2 1.3.0 includes a time-dependent test
References: <87zgjrwx7z.fsf@HIDDEN> <8735hjvfnb.fsf@HIDDEN>
 <b7088e36f25e87e9d9430c661fcb71c957e26bcf.camel@HIDDEN>
 <87h75zrsz5.fsf@HIDDEN>
 <9473c3931828eba0dc9401d2e9d31baaf6ae7b88.camel@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 21 =?utf-8?Q?Flor=C3=A9al?= an 230 de la =?utf-8?Q?R?=
 =?utf-8?Q?=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Tue, 10 May 2022 17:50:45 +0200
In-Reply-To: <9473c3931828eba0dc9401d2e9d31baaf6ae7b88.camel@HIDDEN>
 (Maxime Devos's message of "Mon, 09 May 2022 12:10:02 +0200")
Message-ID: <87ilqdpesq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55326-done
Cc: 55326-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Maxime Devos <maximedevos@HIDDEN> skribis:

> Ludovic Court=C3=A8s schreef op ma 09-05-2022 om 10:49 [+0200]:
>> Right, and remaining computers will have RISC-VII 100=C2=A0MHz CPUs anyw=
ay.
>
> I assume you meant 100GHz here instead?  Or very fast software that
> doesn't need fast CPUs ...

I did mean MHz but I don=E2=80=99t want to spoil more hopeful visions.  :-)

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#55326; Package guix. Full text available.

Message received at 55326-done <at> debbugs.gnu.org:


Received: (at 55326-done) by debbugs.gnu.org; 10 May 2022 15:49:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 10 11:49:02 2022
Received: from localhost ([127.0.0.1]:34896 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1noS6g-0006g8-6q
	for submit <at> debbugs.gnu.org; Tue, 10 May 2022 11:49:02 -0400
Received: from eggs.gnu.org ([209.51.188.92]:52256)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1noS6e-0006fl-IE
 for 55326-done <at> debbugs.gnu.org; Tue, 10 May 2022 11:49:00 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:47224)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1noS6Y-0001WP-JY; Tue, 10 May 2022 11:48:54 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=GizU+z9yGDzwwQrSt/3W5bUmwCB8gaWMfnWUN5YJhyI=; b=Ve0tfptcVd3GWhLDhya+
 mAhCn2oZLvP9oJvcRAHZ4Sr+1BO5Lrn2RYJJ0IkLd6MgWRtmOvSPNicGRZrPv9f45dYyl5HwHtykV
 Dg2b1NKju1M5uTOeMX+b+vYlIACWE69FtNJYfkpWrBgbbhYa8IEoxBUvUDCeQYqbwKItnlquprmk0
 tReof1oLTcSb7AGMGGJhtpPJ1faZtRadjAcpQDsT9pw+5laFNWfhYS3A4fjidMn+qE1W4kUgWZl1q
 v2+275crWbQoo9ZLbGlSnwNTx2h9sAGb524RztozWIXh7n/xGfunMLh5M1Vtswxx+6Z/6+JTgIH/W
 NNolW3urTJYPTA==;
Received: from [193.50.110.244] (port=52692 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1noS6Y-0000uk-6t; Tue, 10 May 2022 11:48:54 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Carl Dong <contact@HIDDEN>
Subject: Re: bug#55326: libgit2 1.3.0 includes a time-dependent test
References: <87zgjrwx7z.fsf@HIDDEN> <8735hjvfnb.fsf@HIDDEN>
 <b7088e36f25e87e9d9430c661fcb71c957e26bcf.camel@HIDDEN>
 <43A362D3-1DDE-405C-B852-E506B7A0233A@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 21 =?utf-8?Q?Flor=C3=A9al?= an 230 de la =?utf-8?Q?R?=
 =?utf-8?Q?=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Tue, 10 May 2022 17:48:52 +0200
In-Reply-To: <43A362D3-1DDE-405C-B852-E506B7A0233A@HIDDEN> (Carl Dong's
 message of "Mon, 9 May 2022 15:33:14 -0400")
Message-ID: <87mtfppevv.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55326-done
Cc: Maxime Devos <maximedevos@HIDDEN>, 55326-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Heya,

Carl Dong <contact@HIDDEN> skribis:

> I opened a pull request upstream that just removes the specific test for =
=E2=80=9CHEAD@{10 years ago}". Since that functionality is well-covered by =
subsequent tests.
>
> See here for the PR: https://github.com/libgit2/libgit2/pull/6299 <https:=
//github.com/libgit2/libgit2/pull/6299>

Well done, thanks!

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#55326; Package guix. Full text available.

Message received at 55326-done <at> debbugs.gnu.org:


Received: (at 55326-done) by debbugs.gnu.org; 9 May 2022 19:33:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 09 15:33:30 2022
Received: from localhost ([127.0.0.1]:59509 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1no98L-0005sM-SG
	for submit <at> debbugs.gnu.org; Mon, 09 May 2022 15:33:30 -0400
Received: from wnew4-smtp.messagingengine.com ([64.147.123.18]:48495)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <contact@HIDDEN>) id 1no98E-0005s0-UJ
 for 55326-done <at> debbugs.gnu.org; Mon, 09 May 2022 15:33:28 -0400
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailnew.west.internal (Postfix) with ESMTP id 030BF2B015C0;
 Mon,  9 May 2022 15:33:16 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute5.internal (MEProxy); Mon, 09 May 2022 15:33:17 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=carldong.me; h=
 cc:cc:content-type:date:date:from:from:in-reply-to:in-reply-to
 :message-id:mime-version:references:reply-to:sender:subject
 :subject:to:to; s=fm1; t=1652124796; x=1652131996; bh=H261b3yXls
 g6GMs/FHlYbUCqrCsqYFcQBhkgRJLbm3M=; b=LdglGP0MkKN5FyAan9gA0lcrUi
 IeyZMkZ/qjvk+dOrS4FhzkcFmu0sUGKyETPpJuKi4hnaiTv62HU/pDsBugEjOqa8
 8X9UNPMM0S/maG5yUTpl+aDPDfXfSTd+EBoDaYzsT3R1hUNO22yZ48pVfril3RXS
 iKZlz775vGrKT60SyC9bNY2MKxlMyYWw+oejCLGmDOVOJZdTo13yZtS1lGbIGlY7
 l3MWyf5gtRbCXWYEFaeRBmACBNB7q1SjfXSHb6taLFA411Sbdj9RVBZXYfXibKS0
 U2OSNKmOGlQ2rQehvWkEfiDzHeIVtHMIOKVR4JLgSvy5aIRrGOZgsdQ7AQ4g==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:cc:content-type:date:date:from:from
 :in-reply-to:in-reply-to:message-id:mime-version:references
 :reply-to:sender:subject:subject:to:to:x-me-proxy:x-me-proxy
 :x-me-sender:x-me-sender:x-sasl-enc; s=fm1; t=1652124796; x=
 1652131996; bh=H261b3yXlsg6GMs/FHlYbUCqrCsqYFcQBhkgRJLbm3M=; b=Y
 4lDeF46wHbWrcSH0fQKHRCnjvK0X0C7LLKaPNCr0jM/fAivVe6ET/hJTGOwWRrWL
 3ggWpnXjjyVrAns6K6NXLKAL8OXufv4zJ12LLK9z1JkwKmVDAtJD9dXUOeL/iBvF
 O9pAwnhTeOit0RGHayHKz+K+U9RPoce2nXSXbK9p/ZvtciWp7dKaVoUoR6V36ENU
 Qt9QawhfHxvcPPyNxM6e7GmQ3YnERwAtCnUBt7S4emZm4diVZj2ksOLTKb/z49dk
 GLzUeJhvMzZodqDGj8DgwyCvVLG76cOA2DSiZ3SUYZ/K5lkgk6WKC5NJGASl2F4v
 iug5zLeKxuswn4ml9OrcA==
X-ME-Sender: <xms:fGx5YmgbUJ3vqamkqIEWPiDSTwmEgeeooC47pNKW0ILo6T9xFDLuBg>
 <xme:fGx5YnA3ka8skzACowt0etlZ5jRrSYlZCYCMtrFYIOQmuhwtX1JDiSqueYr78U3ze
 wTS6-Hd6Ce2J5VBlg>
X-ME-Received: <xmr:fGx5YuGSQ2vPY2wbjMS6UlOnWX0rTI3I9hexlCJ81Ra4MQxQGOnuyVoWgShnbP2Ewyw>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvfedrfeelgddufeejucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmne
 cujfgurhephffktgggufffjgevvfhfofesghdtmherhhdtjeenucfhrhhomhepvegrrhhl
 ucffohhnghcuoegtohhnthgrtghtsegtrghrlhguohhnghdrmhgvqeenucggtffrrghtth
 gvrhhnpedvffektedujeekgffhvdejhfdvhfehffejteeikedujeevgfdvteetieelveej
 leenucffohhmrghinhepghhithhhuhgsrdgtohhmnecuvehluhhsthgvrhfuihiivgeptd
 enucfrrghrrghmpehmrghilhhfrhhomheptghonhhtrggtthestggrrhhlughonhhgrdhm
 vg
X-ME-Proxy: <xmx:fGx5YvQbCyzb5w2S6ZFvhkpVh361Ovfr-jP1o__zlNjdWws2Yeq5YA>
 <xmx:fGx5YjzjC1WntQ0Ywt96BBTluEraD9EOhzMahbvomoFSHbrMouyCbw>
 <xmx:fGx5Yt5EbugIdc7ijLkgIVFVwfjSSY7QOUakW0-_GodN2ZQnEWo8iw>
 <xmx:fGx5YsoxZkUXQ-mJj9Uw9tf_dqkrPnw39zN-h7iMQMAhMK4kMI1bebB4GnI>
Received: by mail.messagingengine.com (Postfix) with ESMTPA; Mon,
 9 May 2022 15:33:16 -0400 (EDT)
From: Carl Dong <contact@HIDDEN>
Message-Id: <43A362D3-1DDE-405C-B852-E506B7A0233A@HIDDEN>
Content-Type: multipart/signed;
 boundary="Apple-Mail=_3C4DD2B9-9E46-4369-926F-3FE44B180196";
 protocol="application/pgp-signature"; micalg=pgp-sha256
Mime-Version: 1.0 (Mac OS X Mail 16.0 \(3696.80.82.1.1\))
Subject: Re: bug#55326: libgit2 1.3.0 includes a time-dependent test
Date: Mon, 9 May 2022 15:33:14 -0400
In-Reply-To: <b7088e36f25e87e9d9430c661fcb71c957e26bcf.camel@HIDDEN>
To: Maxime Devos <maximedevos@HIDDEN>
References: <87zgjrwx7z.fsf@HIDDEN> <8735hjvfnb.fsf@HIDDEN>
 <b7088e36f25e87e9d9430c661fcb71c957e26bcf.camel@HIDDEN>
X-Mailer: Apple Mail (2.3696.80.82.1.1)
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 55326-done
Cc: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>, 55326-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--Apple-Mail=_3C4DD2B9-9E46-4369-926F-3FE44B180196
Content-Type: multipart/alternative;
	boundary="Apple-Mail=_D7592687-8461-4A42-9FF5-9E6C577A27A5"


--Apple-Mail=_D7592687-8461-4A42-9FF5-9E6C577A27A5
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;
	charset=utf-8

I opened a pull request upstream that just removes the specific test for =
=E2=80=9CHEAD@{10 years ago}". Since that functionality is well-covered =
by subsequent tests.

See here for the PR: https://github.com/libgit2/libgit2/pull/6299 =
<https://github.com/libgit2/libgit2/pull/6299>

> Though maybe by that time, we have complete time namespaces =E2=80=A6
One would hope!

Cheers,
Carl Dong

> On May 9, 2022, at 3:25 AM, Maxime Devos <maximedevos@HIDDEN> =
wrote:
>=20
> Ludovic Court=C3=A8s schreef op ma 09-05-2022 om 00:11 [+0200]:
>> Fixed:
>>=20
>>   e48b5484afde93294c4ed7215e88ed450842b2e5 (master)
>>   f5fe0082abe4547f3fb9f29d8351473cfb3a387b (staging)
>=20
> It's still time-dependent though:
>=20
>> +                  (substitute* "tests/refs/revparse.c"
>> +                    (("10 years ago")
>> +                     "100 years ago"))))))
>=20
> wouldn't it now fail after ~100 or ~1000 years?
> Though maybe by that time, we have complete time namespaces ...
>=20
> Greetings,
> Maxime.


--Apple-Mail=_D7592687-8461-4A42-9FF5-9E6C577A27A5
Content-Transfer-Encoding: quoted-printable
Content-Type: text/html;
	charset=utf-8

<html><head><meta http-equiv=3D"Content-Type" content=3D"text/html; =
charset=3Dutf-8"></head><body style=3D"word-wrap: break-word; =
-webkit-nbsp-mode: space; line-break: after-white-space;" class=3D"">I =
opened a pull request upstream that just removes the specific test for =
=E2=80=9CHEAD@{10 years ago}". Since that functionality is well-covered =
by subsequent tests.<div class=3D""><br class=3D""></div><div =
class=3D"">See here for the PR:&nbsp;<a =
href=3D"https://github.com/libgit2/libgit2/pull/6299" =
class=3D"">https://github.com/libgit2/libgit2/pull/6299</a></div><div =
class=3D""><br class=3D""></div><div class=3D""><blockquote type=3D"cite" =
class=3D""><div class=3D"content-isolator__container">Though maybe by =
that time, we have complete time namespaces =E2=80=A6</div></blockquote>On=
e would hope!</div><div class=3D""><br class=3D""></div><div =
class=3D"">Cheers,</div><div class=3D"">Carl Dong</div><div =
class=3D""><div><br class=3D""><blockquote type=3D"cite" class=3D""><div =
class=3D"">On May 9, 2022, at 3:25 AM, Maxime Devos &lt;<a =
href=3D"mailto:maximedevos@HIDDEN" =
class=3D"">maximedevos@HIDDEN</a>&gt; wrote:</div><br =
class=3D"Apple-interchange-newline"><div class=3D""><div class=3D""><div =
class=3D"content-isolator__container">Ludovic Court=C3=A8s schreef op ma =
09-05-2022 om 00:11 [+0200]:<br class=3D""><blockquote type=3D"cite" =
class=3D"">Fixed:<br class=3D""><br class=3D"">&nbsp; =
e48b5484afde93294c4ed7215e88ed450842b2e5 (master)<br class=3D"">&nbsp; =
f5fe0082abe4547f3fb9f29d8351473cfb3a387b (staging)<br =
class=3D""></blockquote><br class=3D"">It's still time-dependent =
though:<br class=3D""><br class=3D""><blockquote type=3D"cite" =
class=3D"">+ =
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&n=
bsp;&nbsp;&nbsp;&nbsp;&nbsp;(substitute* "tests/refs/revparse.c"<br =
class=3D"">+ =
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&n=
bsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(("10 years ago")<br class=3D"">+ =
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&n=
bsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"100 years ago"))))))<br =
class=3D""></blockquote><br class=3D"">wouldn't it now fail after ~100 =
or ~1000 years?<br class=3D"">Though maybe by that time, we have =
complete time namespaces ...<br class=3D""><br class=3D"">Greetings,<br =
class=3D"">Maxime.<br class=3D""></div></div></div></blockquote></div><br =
class=3D""></div></body></html>=

--Apple-Mail=_D7592687-8461-4A42-9FF5-9E6C577A27A5--

--Apple-Mail=_3C4DD2B9-9E46-4369-926F-3FE44B180196
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
	filename=signature.asc
Content-Type: application/pgp-signature;
	name=signature.asc
Content-Description: Message signed with OpenPGP

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEECc3SW1JEo3Z49u6oDMUhUxl5kaUFAmJ5bHoACgkQDMUhUxl5
kaW2+xAAhM5rXbTN5TECIrCol1tO4rX7UF4dOn5ewX438564n86uY93H+2/1GBFo
vYISxBCh2rW1fylNba3iD/SDNmg6G8hP/fLkhDKtPDLsnneNqXNm7i6Cng1UiHW7
DDAufVL2n7uPEEZOX6TJWOUMgjeEKdHzs22GUVS4VEzfiGcnjq5niWiqNYQia97h
FJvQGSyvyxNZVYqs2H9HE1rqwAhQrnlO/Cyb+eZDNvHw1VuO7OXOV8dAzLq/255V
WfOLW3cS4D2o4+4adSSZn1p2rS42NstcDnRWEMx+zHb7X9tEsYW+5i/sPSWZRVd0
fXYccu/pCdgqB8iSZwHBb+Ny44en+6EPP4GHoUmj+DP4a6GjjLqL2j+VSeJhC90V
txOxLYgoMQFyNqLnAqIHXWtg00uJ4ObwVL+9Pix/nVQxthv3NxC+5XyANcaNNOh8
zlFwCv0P14j/EwlnQaSSDyjKQvCEoNIEYOByJrA0/FwB9gEHuJ7+IZlFTfPvbuKa
FnYZOMzNoehX0kqMKlX+t2m9KRjlqgyc7nuyXpXAEalmvHJFpEUfW6qqIpC0DNF9
XVDzdw34ENo35F2VHa4EhYYLiqgU11nDO/f7jjHSmQxSXYG/zIK8AzCT5LZ4F1OB
lomZhG4FZc62svPOy3PMCap3nDSiVLot4HTi6HQx5R1S0eEVMxg=
=IvBL
-----END PGP SIGNATURE-----

--Apple-Mail=_3C4DD2B9-9E46-4369-926F-3FE44B180196--




Information forwarded to bug-guix@HIDDEN:
bug#55326; Package guix. Full text available.

Message received at 55326-done <at> debbugs.gnu.org:


Received: (at 55326-done) by debbugs.gnu.org; 9 May 2022 10:10:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 09 06:10:09 2022
Received: from localhost ([127.0.0.1]:56240 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1no0LA-000836-PL
	for submit <at> debbugs.gnu.org; Mon, 09 May 2022 06:10:08 -0400
Received: from laurent.telenet-ops.be ([195.130.137.89]:35776)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1no0L7-00082r-7P
 for 55326-done <at> debbugs.gnu.org; Mon, 09 May 2022 06:10:07 -0400
Received: from [IPv6:2a02:2c40:200:b001::1:66ec]
 ([IPv6:2a02:2c40:200:b001::1:66ec])
 by laurent.telenet-ops.be with bizsmtp
 id UaA22700D48ECPd01aA3Cs; Mon, 09 May 2022 12:10:04 +0200
Message-ID: <9473c3931828eba0dc9401d2e9d31baaf6ae7b88.camel@HIDDEN>
Subject: Re: bug#55326: libgit2 1.3.0 includes a time-dependent test
From: Maxime Devos <maximedevos@HIDDEN>
To: Ludovic =?ISO-8859-1?Q?Court=E8s?= <ludo@HIDDEN>
Date: Mon, 09 May 2022 12:10:02 +0200
In-Reply-To: <87h75zrsz5.fsf@HIDDEN>
References: <87zgjrwx7z.fsf@HIDDEN> <8735hjvfnb.fsf@HIDDEN>
 <b7088e36f25e87e9d9430c661fcb71c957e26bcf.camel@HIDDEN>
 <87h75zrsz5.fsf@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-rOk/O9UnTAHxq5BaaIMU"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1652091004; bh=mcbuSo7/LqxX8Wq/m6q+nM97GYy9v0ZqjIm0QqTDq0g=;
 h=Subject:From:To:Cc:Date:In-Reply-To:References;
 b=aRZNirmU71I1NL4nWaMlR+euffvD2UBE06Yfp1WMfT5QK8qhQ69h3eW/sDEg6W6Rg
 8CFAw9NqotSep08xzFhO/jTkxPyUSSgOQvM4JbuXqseoLSFidVu9NcI6Y9B9x037OE
 TaC6/Ttv3P72WzZT45iVsNuK7VXATNUQHsoXg2aC4prn37QpSKjN6x9vK32F23cJl2
 2/9fV6HAVRVAoeBZFoZQ8tqWIRPmsJi+iWJpPUwnaswYYfYl9edm8sDVzBucPrwPzS
 +6BOJ5xO5y4jazEASJQei/WSObx5d41e2M+j3yCbvsFEwWmROFHilSJHCDkQBjh1z7
 ryVbNQ7NwVG3w==
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55326-done
Cc: 55326-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-rOk/O9UnTAHxq5BaaIMU
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Ludovic Court=C3=A8s schreef op ma 09-05-2022 om 10:49 [+0200]:
> Right, and remaining computers will have RISC-VII 100=C2=A0MHz CPUs anywa=
y.

I assume you meant 100GHz here instead?  Or very fast software that
doesn't need fast CPUs ...

--=-rOk/O9UnTAHxq5BaaIMU
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYnjoehccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7uBaAP9MUL6Su+IWSxqJ2qP2KBegzjPH
Wef0dBLDO8HQX/ZNWQEAvDCcDTIzSLNNDtQSE/f4kUpP8tRo04RpExAzQ3jxRww=
=W+1u
-----END PGP SIGNATURE-----

--=-rOk/O9UnTAHxq5BaaIMU--





Information forwarded to bug-guix@HIDDEN:
bug#55326; Package guix. Full text available.

Message received at 55326-done <at> debbugs.gnu.org:


Received: (at 55326-done) by debbugs.gnu.org; 9 May 2022 08:49:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 09 04:49:28 2022
Received: from localhost ([127.0.0.1]:56014 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nnz56-0007UL-EI
	for submit <at> debbugs.gnu.org; Mon, 09 May 2022 04:49:28 -0400
Received: from eggs.gnu.org ([209.51.188.92]:60864)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1nnz55-0007U6-4g
 for 55326-done <at> debbugs.gnu.org; Mon, 09 May 2022 04:49:27 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:47580)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1nnz4y-00040Q-FG; Mon, 09 May 2022 04:49:20 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=JBATgUkX+CS2gDfUa9dAcm5hfnNbROyb6FEXh3NgqVM=; b=mTe87ZU11+R61COvkdP8
 wqxGUdHzgzDboMMeW6rRjTdUvmqMukt0AvjPS7I27A6ToEd2K4PVXFDNkA389GpGyLKN1ofG7PldC
 1bxKPfB1qNQurJ0YrHBZ+Elexq2RUoxlsCm0ILFy0pOCNDNDGkywNCIQm2QMtfTc99DjSRZMMCPyp
 KlC8rdW3aDWEdMMSNrbLlo3lyPjCMIcqqnCc8K6sE+MxeGExPiG4T4BFuZiWNvUWRuYTBY9QwRo2x
 JxYTxwQWDACVQ14nU2Klo9Kir8nZcy6NtYEt7AYun073xao1uwQvwxUk05isnNWqRnidCL2fkT9eT
 A5CdMFEm4QRuMQ==;
Received: from [2001:660:6102:320:e120:2c8f:8909:cdfe] (port=44912 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1nnz4x-0004es-W5; Mon, 09 May 2022 04:49:20 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Maxime Devos <maximedevos@HIDDEN>
Subject: Re: bug#55326: libgit2 1.3.0 includes a time-dependent test
References: <87zgjrwx7z.fsf@HIDDEN> <8735hjvfnb.fsf@HIDDEN>
 <b7088e36f25e87e9d9430c661fcb71c957e26bcf.camel@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 20 =?utf-8?Q?Flor=C3=A9al?= an 230 de la =?utf-8?Q?R?=
 =?utf-8?Q?=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Mon, 09 May 2022 10:49:18 +0200
In-Reply-To: <b7088e36f25e87e9d9430c661fcb71c957e26bcf.camel@HIDDEN>
 (Maxime Devos's message of "Mon, 09 May 2022 09:25:59 +0200")
Message-ID: <87h75zrsz5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55326-done
Cc: 55326-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Maxime Devos <maximedevos@HIDDEN> skribis:

> Ludovic Court=C3=A8s schreef op ma 09-05-2022 om 00:11 [+0200]:
>> Fixed:
>>=20
>> =C2=A0 e48b5484afde93294c4ed7215e88ed450842b2e5 (master)
>> =C2=A0 f5fe0082abe4547f3fb9f29d8351473cfb3a387b (staging)
>
> It's still time-dependent though:
>
>> +                  (substitute* "tests/refs/revparse.c"
>> +                    (("10 years ago")
>> +                     "100 years ago"))))))
>
> wouldn't it now fail after ~100 or ~1000 years?
> Though maybe by that time, we have complete time namespaces ...

Right, and remaining computers will have RISC-VII 100=C2=A0MHz CPUs anyway.

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#55326; Package guix. Full text available.

Message received at 55326-done <at> debbugs.gnu.org:


Received: (at 55326-done) by debbugs.gnu.org; 9 May 2022 07:26:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 09 03:26:11 2022
Received: from localhost ([127.0.0.1]:55868 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nnxmV-0005BF-2L
	for submit <at> debbugs.gnu.org; Mon, 09 May 2022 03:26:11 -0400
Received: from xavier.telenet-ops.be ([195.130.132.52]:43764)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1nnxmS-0005B6-4b
 for 55326-done <at> debbugs.gnu.org; Mon, 09 May 2022 03:26:09 -0400
Received: from ptr-bvsjgyhxw7psv60dyze.18120a2.ip6.access.telenet.be
 ([IPv6:2a02:1811:8c09:9d00:3c5f:2eff:feb0:ba5a])
 by xavier.telenet-ops.be with bizsmtp
 id UXS6270044UW6Th01XS6qU; Mon, 09 May 2022 09:26:06 +0200
Message-ID: <b7088e36f25e87e9d9430c661fcb71c957e26bcf.camel@HIDDEN>
Subject: Re: bug#55326: libgit2 1.3.0 includes a time-dependent test
From: Maxime Devos <maximedevos@HIDDEN>
To: Ludovic =?ISO-8859-1?Q?Court=E8s?= <ludo@HIDDEN>, 
 55326-done <at> debbugs.gnu.org
Date: Mon, 09 May 2022 09:25:59 +0200
In-Reply-To: <8735hjvfnb.fsf@HIDDEN>
References: <87zgjrwx7z.fsf@HIDDEN> <8735hjvfnb.fsf@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-x3hiCvAAvUIs7Izp4n8B"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1652081166; bh=en0/0zBU1YthJWbUQU+H8BOUVP2dU1vQIhz9GA7VGyc=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=PWt3T3FhytfSEbf+0mYcfWdplbXDKWcFwAWEsH4zOwtPZ62b/gCfrGKwiguscAtFl
 StnQEKxSBJEAMuGbhNgIT+4P0A4kKiNmqbukPWaMwqdmZd4Ex21xufw3Pi1tyaaCaO
 qbf9ojcXDfFdTnSz77mbMRaZCG+PpL7FCWT4g6kjwfcid3c7TqKMkAqTsEBUVzBY4L
 6eC73nA53RMs0qrffu/TZp9sHl7RVBJwwTvnovrnexb8caeLuInga0T78ULe8eDQyL
 rTvjHGstv2Q8YAbmZweZufskRbP4tfCJ6CPZqtU8uIQW1gq5l24kuav8wDIKSy1TM2
 edsV97mvlaFYA==
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55326-done
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-x3hiCvAAvUIs7Izp4n8B
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Ludovic Court=C3=A8s schreef op ma 09-05-2022 om 00:11 [+0200]:
> Fixed:
>=20
> =C2=A0 e48b5484afde93294c4ed7215e88ed450842b2e5 (master)
> =C2=A0 f5fe0082abe4547f3fb9f29d8351473cfb3a387b (staging)

It's still time-dependent though:

> +                  (substitute* "tests/refs/revparse.c"
> +                    (("10 years ago")
> +                     "100 years ago"))))))

wouldn't it now fail after ~100 or ~1000 years?
Though maybe by that time, we have complete time namespaces ...

Greetings,
Maxime.

--=-x3hiCvAAvUIs7Izp4n8B
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYnjCBxccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7nTeAP9fIr0YkKBVOnBkCu91U1lrrtPy
AcM5SSnEYOUjmnCkJAEAiof9paj1vs10c4XZZ+QCi8Z1eqKCM1sMDZHSowvqRw0=
=GoDX
-----END PGP SIGNATURE-----

--=-x3hiCvAAvUIs7Izp4n8B--





Information forwarded to bug-guix@HIDDEN:
bug#55326; Package guix. Full text available.

Message received at 55326-done <at> debbugs.gnu.org:


Received: (at 55326-done) by debbugs.gnu.org; 8 May 2022 22:11:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 08 18:11:29 2022
Received: from localhost ([127.0.0.1]:55473 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nnp7h-0001U6-0G
	for submit <at> debbugs.gnu.org; Sun, 08 May 2022 18:11:29 -0400
Received: from eggs.gnu.org ([209.51.188.92]:55808)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1nnp7f-0001Tp-Jt
 for 55326-done <at> debbugs.gnu.org; Sun, 08 May 2022 18:11:27 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:40192)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>) id 1nnp7a-00018X-EO
 for 55326-done <at> debbugs.gnu.org; Sun, 08 May 2022 18:11:22 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=f8UDqc8KwTBZnzUMX6GOeoMYzUxBuDhrbhutdSdIox8=; b=TT3vSlYoxfbQl+hiD15U
 X4Lt7rGbMYuEL/2kxnBzzdZlzsjjBgWYo283vkkhptpSBdg8bHmW0w2GwCCAhmeYtPT1MjDO8P43C
 9xWOwzakOhC+GIbP6/PVpuMjLgLxJZA3zj2BqcKeXde2VdNy73vTRzA2ZGLQEEGry17/HXq+LHPoo
 WB+7YizwBUhpeS/+QLNBvCAMAQjgSPs4EuAYKn6HOTZE+fgo7E2d7HgdM0yOPrRV1wLiGQkMgDLGt
 dUVAVfDoD3WzQ+tjqjTT8EcxGGJd9XtgenEJeJAsYc8t/uw1e2FOS4prBlGDEqNetw+XP0FP4oKSW
 nFDMVyRbFhSTLw==;
Received: from 91-160-117-201.subs.proxad.net ([91.160.117.201]:60506
 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>) id 1nnp7a-0001td-1r
 for 55326-done <at> debbugs.gnu.org; Sun, 08 May 2022 18:11:22 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: 55326-done <at> debbugs.gnu.org
Subject: Re: bug#55326: libgit2 1.3.0 includes a time-dependent test
References: <87zgjrwx7z.fsf@HIDDEN>
Date: Mon, 09 May 2022 00:11:20 +0200
In-Reply-To: <87zgjrwx7z.fsf@HIDDEN> ("Ludovic =?utf-8?Q?Court=C3=A8s=22?=
 =?utf-8?Q?'s?= message of "Sun, 08 May 2022 23:06:24 +0200")
Message-ID: <8735hjvfnb.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55326-done
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Ludovic Court=C3=A8s <ludo@HIDDEN> skribis:

> libgit2 1.3.0 (and 1.4.3, it seems) includes a time-dependent test:
> =E2=80=98refs::revparse::date=E2=80=99, in =E2=80=98tests/refs/revparse.c=
=E2=80=99, assumes
> =E2=80=9CHEAD@{10 years ago}=E2=80=9D doesn't match anything in the sampl=
e repositories,
> which is no longer true:

Fixed:

  e48b5484afde93294c4ed7215e88ed450842b2e5 (master)
  f5fe0082abe4547f3fb9f29d8351473cfb3a387b (staging)

Ludo=E2=80=99.




Notification sent to Ludovic Courtès <ludo@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Ludovic Courtès <ludo@HIDDEN>:
You have taken responsibility. Full text available.
Severity set to 'important' from 'normal' Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 8 May 2022 21:06:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 08 17:06:45 2022
Received: from localhost ([127.0.0.1]:55335 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nno6o-0003oj-PO
	for submit <at> debbugs.gnu.org; Sun, 08 May 2022 17:06:45 -0400
Received: from lists.gnu.org ([209.51.188.17]:49264)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1nno6m-0003oa-9R
 for submit <at> debbugs.gnu.org; Sun, 08 May 2022 17:06:29 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:35116)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>) id 1nno6l-00041t-W4
 for bug-guix@HIDDEN; Sun, 08 May 2022 17:06:28 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:39296)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>) id 1nno6l-0000JV-M3
 for bug-guix@HIDDEN; Sun, 08 May 2022 17:06:27 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:Date:Subject:To:From:in-reply-to:
 references; bh=3MqFdz72R3RL7HJMoMmQOLG8q72wxQderZyIuRNPwbE=; b=Ve2c17xCWtcJH8
 ZHlrSi1tZ5BzY91F13Z4Alz8UfAmo2LGPCUyqewmXeQi2H5d0oWIaySf6RjhMqpJjwc8C6H9Amh3Z
 TtA9HmQFk3a1qgVFaMg8yQNjIlBizDWMtsVa6y75fD4RqkEosOqXhO9vQZYO8HVE/+Q9JH2ZKpH/v
 10K0BHnPVvIvUJNRZD0Y67QVTHqMLPWYu2bbr9JWS4XGMqwByqm9Ivw1hoBnIufRyCtvUW9nzWr+5
 WE5Vn4AUeKLpuj2liGNv7eLNOPMLZ4e2W2ksBnOquAII7UdtdyQVHlLyRpgNzKMYhsnvwuW5WUd3E
 WBPyUkc+Yms2OWtzT4rQ==;
Received: from 91-160-117-201.subs.proxad.net ([91.160.117.201]:55428
 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>) id 1nno6l-0005c2-8c
 for bug-guix@HIDDEN; Sun, 08 May 2022 17:06:27 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: bug-guix@HIDDEN
Subject: libgit2 1.3.0 includes a time-dependent test
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 19 =?utf-8?Q?Flor=C3=A9al?= an 230 de la =?utf-8?Q?R?=
 =?utf-8?Q?=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Sun, 08 May 2022 23:06:24 +0200
Message-ID: <87zgjrwx7z.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

libgit2 1.3.0 (and 1.4.3, it seems) includes a time-dependent test:
=E2=80=98refs::revparse::date=E2=80=99, in =E2=80=98tests/refs/revparse.c=
=E2=80=99, assumes
=E2=80=9CHEAD@{10 years ago}=E2=80=9D doesn't match anything in the sample =
repositories,
which is no longer true:

--8<---------------cut here---------------start------------->8---
$ date
Sun May  8 11:04:31 PM CEST 2022
$ ./libgit2_clar -v -Q -srefs::revparse::date
Loaded 404 suites:=20
Started (test status codes: OK=3D'.' FAILURE=3D'F' SKIPPED=3D'S')

refs::revparseF

  1) Failure:
refs::revparse::date [/tmp/guix-build-libgit2-1.3.0.drv-0/source/tests/refs=
/revparse.c:31]
  Function call succeeded: error
  no error, expected non-zero return

$ /gnu/store/wy3ww7znqhlg84vg6cmw1m12z1drxwh1-libfaketime-0.9.9/bin/faketim=
e 2021-12-12 ./libgit2_clar -v -Q -srefs::revparse::date
Loaded 404 suites:=20
Started (test status codes: OK=3D'.' FAILURE=3D'F' SKIPPED=3D'S')

refs::revparse.

--8<---------------cut here---------------end--------------->8---

Thus, as of 6b588da368c77cde82ea2f22ca315116228777ad, libgit2 now fails
to build; a few months ago, it would build fine.

Ludo=E2=80=99.




Acknowledgement sent to Ludovic Courtès <ludo@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#55326; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 10 May 2022 16:00:03 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.